summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2014-05-20 14:35:59 +0100
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2014-05-20 14:35:59 +0100
commitaa7ad950590dffef2a7dc37135c763e9890a5b9e (patch)
tree3cf5156554d3bd89f86cf4142af0f7a944e110c9 /test.sh
downloadxfer-hole-aa7ad950590dffef2a7dc37135c763e9890a5b9e.tar.gz
Initial commit
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..04f2d3f
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -eu
+
+rm -rf result
+mkdir result
+for x in test.*
+do
+ echo "============== $x ================="
+ ./xfer-hole.py "$x" | ./recv-hole "result/$x"
+ cmp "$x" "result/$x"
+done